Bug 666457 - Initscript for tigervnc-server needs better errors
Initscript for tigervnc-server needs better errors
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-12-30 17:38 EST by Penelope Fudd
Modified: 2013-04-30 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 13:06:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
New /etc/rc.d/init.d/vncserver script (3.47 KB, application/octet-stream)
2010-12-30 17:38 EST, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2010-12-30 17:38:21 EST
Created attachment 471222 [details]
New /etc/rc.d/init.d/vncserver script

Description of problem:
I attempted to set up tigervnc-server, and found two conditions where the init script would fail without saying why.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create /etc/sysconfig/vncservers with VNCSERVERS='0:username' 
2. service vncservers start
3. fail to start
Actual results:
'Failed', with no log message or screen message

Expected results:

Additional info:
Problem 1: there was no ~username/.vnc/passwd file
Problem 2: display :0 was already in use by the X server
I've patched /etc/rc.d/init.d/vncserver to give better error messages; see attached.

Finding instructions for how to use this package is hard.
Comment 1 Fedora End Of Life 2012-08-16 13:06:20 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.